pcl::visualization::PCLContextImageItem Struct Reference

Struct PCLContextImageItem a specification of vtkContextItem, used to add an image to the scene in the ImageViewer class. More...

`#include <pcl/visualization/vtk/pcl_context_item.h>`

Inheritance diagram for pcl::visualization::PCLContextImageItem:

## Public Member Functions

| vtkTypeMacro (PCLContextImageItem, vtkContextItem)
| PCLContextImageItem ()
virtual bool | Paint (vtkContext2D *painter)
void | set (float _x, float _y, vtkImageData *_image)

## Static Public Member Functions

static PCLContextImageItem * | New ()

## Public Attributes

vtkSmartPointer< vtkImageData > | image
float | x
float | y

## Detailed Description

Struct PCLContextImageItem a specification of vtkContextItem, used to add an image to the scene in the ImageViewer class.

Author
  Nizar Sallem

Definition at line 76 of file pcl_context_item.h.

## Constructor & Destructor Documentation

pcl::visualization::PCLContextImageItem::PCLContextImageItem | ( |  | ) |

## Member Function Documentation

static PCLContextImageItem* pcl::visualization::PCLContextImageItem::New | ( |  | ) |

static

virtual bool pcl::visualization::PCLContextImageItem::Paint | ( | vtkContext2D * | painter | ) |

virtual

void pcl::visualization::PCLContextImageItem::set | ( | float | _x,
|  | float | _y,
|  | vtkImageData * | _image
| ) |  |

pcl::visualization::PCLContextImageItem::vtkTypeMacro | ( | PCLContextImageItem | ,
|  | vtkContextItem |
| ) |  |

## Member Data Documentation

vtkSmartPointer<vtkImageData> pcl::visualization::PCLContextImageItem::image

Definition at line 84 of file pcl_context_item.h.

float pcl::visualization::PCLContextImageItem::x

Definition at line 85 of file pcl_context_item.h.

float pcl::visualization::PCLContextImageItem::y

Definition at line 85 of file pcl_context_item.h.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/visualization/include/pcl/visualization/vtk/pcl_context_item.h